=== src/cgi/Makefile ===
TOP_DIR=../..

PKGNAME = cgi
OBJECTS = 
DOBJECTS = 

DEP_FILES =

# prevent that a cma/cmxa is created:
ARCHIVE_CMA =
ARCHIVE_CMXA =

include $(TOP_DIR)/Makefile.rules
