=== src/nethttpd/Makefile ===
TOP_DIR=../..

PKGNAME	= nethttpd
ARCHIVE = nethttpd
OBJECTS =
DOBJECTS =

DEP_FILES =

# prevent that a cma/cmxa is created:
ARCHIVE_CMA =
ARCHIVE_CMXA =

include $(TOP_DIR)/Makefile.rules
