=== debian/changelog ===
ocamlnet (2.2.9-8build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:35:07 -0600

ocamlnet (2.2.9-8build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 08:36:06 +0100

ocamlnet (2.2.9-8) unstable; urgency=low

  * debian/control:
    - move libapache2-mod-ocamlnet to section httpd
    - remove Stefano from Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Add 0012-Use-OCaml-version-to-guess-str-stubs-link-options.patch
    (Closes: #580093)
  * Reformat debian/NEWS to please Lintian

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 May 2010 20:47:39 +0200

ocamlnet (2.2.9-7) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/copyright: point to GPL-2 under /usr/share/common-licenses/

  [ Stephane Glondu ]
  * Switch packaging to dh-ocaml 0.9 (Closes: #549849)
  * Add README.source
  * debian/control:
    - add myself to Uploaders
    - move to section ocaml
    - update Standards-Version to 3.8.3
  * Add Lintian override for RPATH in mod_netcgi_apache.so

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Oct 2009 16:35:12 +0200

ocamlnet (2.2.9-6) unstable; urgency=low

  * uploading to unstable
  * debian/*.in: avoid using @OCamlABI@ for dir path and explicit
    "stublibs/"
  * debian/rules:
    - use ocamldoc-apiref-config from /usr/share/ocaml/
    - use ocaml.mk as a CDBS "rules" rather than a CDBS "class"
  * debian/control:
    - bump dependency on dh-ocaml to >= 0.4, to avoid buggy clean
    - drop obsolete versioned build-deps
    - switch build dep from camlp5 to camlp4, now we built against that
    - tigthen build-deps on ocaml libs to induce dep-waits
  * debian/*.install.in: avoid specifying debian/tmp/ (is default now)
  * debian/patches/*
    - add patch camlp4-workarounds (thanks Fedora!) to avoid stumbling
      upon a camlp4 regression
    - disable patches to build against camlp5: build_w_camlp5,
      camlp5_5_alias_pat. Now ocamlnet can be built using camlp4
    - add patch enable_struct_ucred to make 'struct ucred' from
      <sys/socket.h> visible (requires GNU extensions) (Closes: #517319)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 28 Feb 2009 11:38:08 +0100

ocamlnet (2.2.9-5) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * rebuild against OCaml 3.11: stricten build-dep for experimental build,
    and add build-dep on dh-ocaml (which now ships the CDBS class)
  * debian/control: remove transitional dummy packages no longer needed with
    Lenny+1; list of removed packages: libequeue-ocaml{,-dev},
    libnetclient-ocaml-dev, librpc-ocaml-dev, libequeue-gtk2-ocaml-dev
  * bump debhelper compatibility to 7 (build-dep and debian/compat)
  * relax build-dep on apache2-prefork-dev by forcing the apache major number
    to 2 instead of letting ./configure query it invoking /usr/sbin/apache2
  * remove debian/patches/00dpatch.conf, we no longer have a debian-only
    layout

  [ Stephane Glondu ]
  * Do not build rpc-auth-local on hurd-i386 (fixes FTBFS)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 10 Feb 2009 11:10:21 +0100

ocamlnet (2.2.9-4) unstable; urgency=low

  * add rpath pointing at `ocamlc -where` to the Apache module shipped by
    libapache2-mod-ocamlnet, so that libcamlrun_shared.so can be found
    (Closes: #503616)
  * fix wrong path in /etc/apache2/mods-available/netcgi_apache.load, which
    inhibited proper loading of netcgi .cma library
    (also needed to fix #503616)
  * switch Vcs-* fields to the current GIT repository

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 29 Oct 2008 00:09:07 +0100

ocamlnet (2.2.9-3) unstable; urgency=medium

  [ Stephane Glondu ]
  * Update Homepage, fix watch file.

  [ Stefano Zacchiroli ]
  * add missing dep from ocamlnet-dev to cryptgps
  * move doc-base file corresponding to ocamldoc API reference (back) to
    libocamlnet-ocaml-doc; add Replaces as needed in debian/control
    (Closes: #462878)
  * bump Standards-Version to 3.8.0 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 18:55:19 +0200

ocamlnet (2.2.9-2) unstable; urgency=medium

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir
  * close an old TODO item in debian/TODO
  * bump urgency for the OCaml 3.10.1 transition
  * debian/rules: fix the kfreebsd fix (avoid failing bogusly when we are not
    on a BSD arch)

  [ Stephane Glondu ]
  * Add patch configure_kfreebsd.dpatch to make configure script recognize
    GNU/kFreeBSD as FreeBSD and fix compatibility with kFreeBSD port
    (rpc-auth-local not available). (Closes: #462291)
  * Add patch fix_ssl_bindings.dpatch to fix faulty ssl bindings,
    (Closes: #450903).

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 03 Mar 2008 09:00:15 +0100

ocamlnet (2.2.9-1) unstable; urgency=low

  * new upstream release (bugfix-only release)
  * promote Homepage to a real debian/control field
  * add patch camlrun_shared to link against libcamlrun_shared, so that the
    apache module becomes PIC. Fix FTBFSs on most non-i386 archs
    (closes: #443150, #444360)
  * add patch camlp5_5_alias_pat to ensure buildability against camlp5 5.00
    (hoping it can be removed soon ...)
  * bump versioned build-dep on ocaml-nox to 3.10.0-9 (the first version
    shipping libcamlrun_shared)
  * update standards-version, no changes needed
  * setting me as an uploader and d-o-m as the maintainer
  * use ocamldoc-api-ref-config to generate the doc-base entry in debian/rules

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 29 Dec 2007 22:19:21 +0100

ocamlnet (2.2.8.1-3) experimental; urgency=low

  * change the split of the netcgi2 Apache connector: the OCaml development
    libraries are now in libocamlnet-ocaml-dev while the Apache module is
    alone in libapache2-mod-ocamlnet. This way one can develop applications
    for the connector without having to install Apache

