=== debian/control ===
Source: ocamlnet
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>> 7),
 cdbs,
 dh-ocaml (>= 0.9),
 ocaml-nox (>= 3.11.1-3~),
 camlp4 (>= 3.11.1-3~),
 ocaml-findlib (>= 1.2.5),
 libpcre-ocaml-dev (>= 6.0.1-2~),
 liblablgtk2-ocaml-dev (>= 2.12.0-4~),
 libcryptgps-ocaml-dev (>= 0.2.1-7~),
 libssl-ocaml-dev (>= 0.4.3-3~),
 apache2-prefork-dev
Standards-Version: 3.8.4
Homepage: http://projects.camlcity.org/projects/ocamlnet.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlnet.git

Package: libocamlnet-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libocamlnet-ocaml-doc,
 libnethttpd-ocaml-dev
Provides:
 libequeue-ocaml-dev,
 libnetclient-ocaml-dev,
 librpc-ocaml-dev,
 ${ocaml:Provides}
Replaces: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
Conflicts: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - core development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the core
 Ocamlnet libraries in your programs. The following libraries are
 packaged separately: SSL-related libraries (libocamlnet-ssl-ocaml-dev),
 GTK-related libraries (libocamlnet-gtk2-ocaml-dev), nethttpd
 (libnethttpd-ocaml-dev). The netcgi2 Apache connector is also part of
 this package; to run applications built for that connector you will
 need the mod_netcgi_apache Apache module (libapache2-mod-ocamlnet).

Package: libocamlnet-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 libequeue-ocaml,
 ${ocaml:Provides}
Replaces: libequeue-ocaml (<< 2.2.3-1)
Conflicts: libequeue-ocaml (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - core runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 core Ocamlnet libraries. Stub libraries for SSL-related components are
 available in the libocamlnet-ssl-ocaml-dev package.

Package: libocamlnet-ocaml-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-dev
Replaces: librpc-ocaml-dev (<< 2.2.3-1)
Conflicts: librpc-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - binaries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the binaries ocamlrpcgen (a helper for creating
 RPC stubs) and netplex-admin (generic administration tool for netplex
 systems).

Package: libocamlnet-gtk2-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Provides:
 libequeue-gtk2-ocaml-dev,
 ${ocaml:Provides}
Replaces: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
Conflicts: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
Description: OCaml application-level Internet libraries - GTK2 development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use GTK-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - SSL development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use SSL-related
 libraries of Ocamlnet in your programs.

Package: libocamlnet-ssl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml application-level Internet libraries - SSL runtime libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains only the shared runtime stub libraries for the
 SSL-related libraries of Ocamlnet.

Package: libnethttpd-ocaml-dev
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: libocamlnet-ocaml-doc
Description: OCaml application-level Internet libraries - HTTP daemon development libraries
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
  * netsys: bindings for system functions
  * smtp and pop: two further client implementations
 .
 A number of ideas and concepts are used throughout the libraries:
  * netchannels are a way to abstract sequential I/O channels
  * event queues provided by equeue and unixqueue make asynchronous
    protocol interpreters possible
 .
 This package contains the development stuff you need to use the
 nethttpd library in your programs.

Package: libapache2-mod-ocamlnet
Architecture: any
Section: httpd
Depends:
 apache2.2-common,
 libocamlnet-ocaml-dev (= ${binary:Version}),
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
# This package contains only an Apache module, dh_ocaml doesn't work on it!
Description: OCaml application-level Internet libraries - netcgi2 Apache2 connector
 Ocamlnet is a collection of OCaml libraries focusing focus on
 application-level Internet protocols and conventions.
 .
 Ocamlnet consists of the following libraries:
  * netstring: processing of strings that occur in network context
  * netcgi1 and netcgi2: portable web applications
  * nethttpd: is a web server component (HTTP server implementation)
  * netplex: generic server framework
  * rpc: OncRPC implementation
  * netclient: clients for HTTP, FTP, and Telnet
  * equeue: event queue used for many protocol implementations
  * shell: external commands invocation
  * netshm: shared memory for IPC purposes
