=== debian/changelog ===
ocamlnet (3.4.1-2build2) precise; urgency=low

  * No-change rebuild for OCaml 3.12.1.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 11 Dec 2011 14:30:58 +0400

ocamlnet (3.4.1-2build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 13:27:32 +0000

ocamlnet (3.4.1-2) unstable; urgency=low

  * Fix FTBFS on !linux-any:
    - rpc-auth-local is available everywhere, now

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 12:05:08 +0100

ocamlnet (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 22:46:47 +0100

ocamlnet (3.4-1) unstable; urgency=low

  * New upstream release
    - add a new NetcgiRequire directive to ease dependency management
      (Closes: #637147)
    - remove patches that were applied upstream:
      + Added-missing-shebang-lines-in-example-shell-scripts
      + Try-also-ocamlc-for-POSIX-threads

 -- Stéphane Glondu <glondu@debian.org>  Fri, 02 Sep 2011 14:12:33 +0200

ocamlnet (3.3.5-3) unstable; urgency=low

  * Try also ocamlc for POSIX threads (fix FTBFS of ocsigen on bytecode
    architectures)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 24 Jul 2011 16:05:02 +0200

ocamlnet (3.3.5-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 14:47:09 +0200

ocamlnet (3.3.5-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * New upstream release (Closes: #634906)
    - fix handling of IPv6 litterals (Closes: #617554)
    - newly installed components: netcamlbox, netgssapi, netmulticore
  * Remove misleading debian/README.source
  * Remove ancient versioned conflicts
  * Rewrite debian/rules using dh with overrides
  * Bump debhelper compatibility level to 8
  * Bump Standards-Version to 3.9.2

  [ Eric Cooper ]
  * Don't ship *.so.owner files created by findlib

 -- Stéphane Glondu <glondu@debian.org>  Thu, 21 Jul 2011 11:09:36 +0200
