=== src/netsys/Makefile ===
--- 
+++ 
@@ -12,7 +12,12 @@
 	   netsys_pollset.cmo netsys_pollset_posix.cmo \
 	   netsys_pollset_win32.cmo netsys_pollset_generic.cmo \
 	   netsys_mem.cmo netsys_xdr.cmo netsys_tmp.cmo
-COBJECTS = netsys_c.o netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
+COBJECTS = netsys_c.o netsys_c_poll.o netsys_c_fadvise.o \
+	   netsys_c_fallocate.o netsys_c_ioprio.o netsys_c_locale.o \
+           netsys_c_multicast.o netsys_c_sem.o netsys_c_shm.o \
+           netsys_c_spawn.o netsys_c_subprocess.o netsys_c_syslog.o \
+	   netsys_c_clock.o netsys_c_event.o \
+           netsys_c_win32.o netsys_c_htab.o netsys_c_queue.o \
            netsys_c_mem.o netsys_c_xdr.o
 DOBJECTS = netsys.mli netsys_posix.mli netsys_pollset.mli netlog.mli \
            netexn.mli netsys_win32.mli netsys_pollset_posix.mli \
@@ -40,6 +45,8 @@
 OCAMLOPT_OPTIONS_FOR_netsys_oothr_mt_init.ml = $(THREAD)
 OCAMLC_OPTIONS_FOR_netsys_c_xdr.c = -ccopt -O
 
+INSTALL_EXTRA += netsys_c_event.h
+
 include $(TOP_DIR)/Makefile.rules
 
 netsys_types.ml: netsys_types.mli
@@ -51,6 +58,9 @@
 netsys_types.cmx: netsys_types.cmi
 
 CLEAN_LIST += netsys_types.ml
+
+.PHONY: cobjects
+cobjects: $(COBJECTS)
 
 netsys_oothr.cma: netsys_oothr.cmo
 	$(OCAMLC) -o netsys_oothr.cma -a netsys_oothr.cmo
