=== src/netzip/Makefile ===
TOP_DIR=../..

PKGNAME = netzip
OBJECTS =  netgzip.cmo
DOBJECTS = netgzip.mli

INCLUDES = $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

REQUIRES += camlzip

include depend
