=== src/rpc-generator/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKGNAME  = rpc-generator
 ARCHIVE  = rpc_generator
 OBJECTS  = syntax.cmo options.cmo parser.cmo lexer.cmo rename.cmo \
-           generate.cmo
+           generate.cmo direct.cmo
 DOBJECTS = 
 
 ALL_EXTRA = ocamlrpcgen$(EXEC_SUFFIX) rpcgen-packlist
@@ -18,7 +18,7 @@
 
 ocamlrpcgen$(EXEC_SUFFIX): $(ARCHIVE).cma main.cmo
 	rm -f ocamlrpcgen ocamlrpcgen$(EXEC_SUFFIX)
-	OCAMLPATH=.. \
+	OCAMLPATH="..$(PATH_SEP)$$OCAMLPATH" \
 	$(OCAMLC) -custom -o ocamlrpcgen -package unix,netstring \
 		$(ARCHIVE).cma main.cmo -linkpkg
