=== debian/changelog ===
ocamlnet (3.5.1-2) unstable; urgency=low

  * Update packaging for apache 2.4 (Closes: #666825)
    - import upstream patch to fix compilation
  * Fix incorrect use of F_SETFL with FD_CLOEXEC (Closes: #696279)
  * Force all netsys features on Linux (LP: #257524)
  * Bump debhelper compat level to 9
  * Update Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 Jun 2013 08:03:53 +0200

ocamlnet (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Feb 2012 22:33:09 +0100

ocamlnet (3.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Feb 2012 17:46:08 +0100
