=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>> 7),
- cdbs,
+ debhelper (>= 9),
  dh-ocaml (>= 0.9),
+ dh-apache2,
  ocaml-nox (>= 3.11.1-3~),
  camlp4 (>= 3.11.1-3~),
  ocaml-findlib (>= 1.2.5),
+ libfindlib-ocaml-dev,
  libpcre-ocaml-dev (>= 6.0.1-2~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libcryptgps-ocaml-dev (>= 0.2.1-7~),
  libssl-ocaml-dev (>= 0.4.3-3~),
- apache2-prefork-dev
-Standards-Version: 3.8.4
+ apache2-dev
+Standards-Version: 3.9.2
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlnet.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlnet.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlnet.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlnet.git
 
 Package: libocamlnet-ocaml-dev
 Architecture: any
@@ -36,15 +37,13 @@
  libnetclient-ocaml-dev,
  librpc-ocaml-dev,
  ${ocaml:Provides}
-Replaces: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
-Conflicts: libequeue-ocaml-dev (<< 2.2.3-1), libnetclient-ocaml-dev (<< 2.2.3-1), librpc-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - core development libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -77,15 +76,13 @@
 Provides:
  libequeue-ocaml,
  ${ocaml:Provides}
-Replaces: libequeue-ocaml (<< 2.2.3-1)
-Conflicts: libequeue-ocaml (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - core runtime libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -112,15 +109,13 @@
  ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libocamlnet-ocaml-dev
-Replaces: librpc-ocaml-dev (<< 2.2.3-1)
-Conflicts: librpc-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - binaries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -151,15 +146,13 @@
 Provides:
  libequeue-gtk2-ocaml-dev,
  ${ocaml:Provides}
-Replaces: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
-Conflicts: libequeue-gtk2-ocaml-dev (<< 2.2.3-1)
 Description: OCaml application-level Internet libraries - GTK2 development libraries
  Ocamlnet is a collection of OCaml libraries focusing focus on
  application-level Internet protocols and conventions.
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -192,7 +185,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -224,7 +217,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -258,7 +251,7 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
+  * netcgi2: portable web applications
   * nethttpd: is a web server component (HTTP server implementation)
   * netplex: generic server framework
   * rpc: OncRPC implementation
@@ -281,7 +274,6 @@
 Architecture: any
 Section: httpd
 Depends:
- apache2.2-common,
  libocamlnet-ocaml-dev (= ${binary:Version}),
  ${ocaml:Depends},
  ${shlibs:Depends},
@@ -293,11 +285,22 @@
  .
  Ocamlnet consists of the following libraries:
   * netstring: processing of strings that occur in network context
-  * netcgi1 and netcgi2: portable web applications
-  * nethttpd: is a web server component (HTTP server implementation)
-  * netplex: generic server framework
-  * rpc: OncRPC implementation
-  * netclient: clients for HTTP, FTP, and Telnet
-  * equeue: event queue used for many protocol implementations
-  * shell: external commands invocation
-  * netshm: shared memory for IPC purposes
+  * netcgi2: portable web applications
+  * nethttpd: is a web server component (HTTP server implementation)
+  * netplex: generic server framework
+  * rpc: OncRPC implementation
+  * netclient: clients for HTTP, FTP, and Telnet
+  * equeue: event queue used for many protocol implementations
+  * shell: external commands invocation
+  * netshm: shared memory for IPC purposes
+  * netsys: bindings for system functions
+  * smtp and pop: two further client implementations
+ .
+ A number of ideas and concepts are used throughout the libraries:
+  * netchannels are a way to abstract sequential I/O channels
+  * event queues provided by equeue and unixqueue make asynchronous
+    protocol interpreters possible
+ .
+ This package contains the mod_netcgi_apache Apache module. You will
+ need this module to run web applications built using the netcgi2 Apache
+ connector of OCamlnet. With this package Apache can serve them directly
