=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 include /usr/share/ocaml/ocamlvars.mk
+
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 PKGNAME = libocamlnet-ocaml-dev
 DESTDIR = $(CURDIR)/debian/tmp
@@ -19,11 +21,24 @@
 CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml,apache2
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
 	./configure $(CFGFLAGS)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+# In some build environments (especially cowbuilder and Ubuntu
+# autobuilders), many netsys autotests fail even though the feature is
+# available (LP: #257524)
+	@echo
+	@echo "The following netsys features will be forced:"
+	@if grep '#undef ' src/netsys/config.h; then \
+	  sed -i 's/#undef /#define /' src/netsys/config.h; \
+	else \
+	  echo "none"; \
+	fi
+	@echo
+endif
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
@@ -40,8 +55,12 @@
 
 .PHONY: override_dh_install
 override_dh_install:
-	dh_install --fail-missing -X.so.owner
+	dh_install --fail-missing -X.so.owner -Xmod_netcgi_apache.so
 
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ml
+
+.PHONY: override_dh_installchangelogs
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
